%global debug_package   %{nil}
%global import_path     github.com/tchap/go-patricia

Name:           golang-github-tchap-go-patricia
Version:        1.0.1
Release:        4%{?dist}
Summary:        A generic patricia trie implemented in Go
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/v%{version}.tar.gz
BuildArch:      noarch

%description
A generic patricia trie (also called radix tree) implemented in Go (Golang).

The patricia trie as implemented in this library enables fast visiting of
items in some particular ways:

1. visit all items saved in the tree,
2. visit all items matching particular prefix (visit subtree), or
3. given a string, visit all items matching some prefix of that string.

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        A golang registry for global request variables
Provides:       golang(%{import_path}/patricia) = %{version}-%{release}

%description devel
A generic patricia trie (also called radix tree) implemented in Go (Golang).

The patricia trie as implemented in this library enables fast visiting of
items in some particular ways:

1. visit all items saved in the tree,
2. visit all items matching particular prefix (visit subtree), or
3. given a string, visit all items matching some prefix of that string.

This package contains library source intended for building other packages
which use tchap/go-patricia.

%prep
%setup -n go-patricia-%{version}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/patricia
cp -pav patricia/*.go %{buildroot}/%{gopath}/src/%{import_path}/patricia

%check
GOPATH=%{gopath}:%{buildroot}/%{gopath} go test %{import_path}/patricia

%files devel
%doc LICENSE README.md
%dir %{gopath}/src/github.com/tchap
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/patricia
%{gopath}/src/%{import_path}/patricia/*.go

%changelog
* Wed Jul 30 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.1-4
- Resolves: rhbz#1117562 - package review request
- Remove conditional for fedora/rhel (separately deal with el6)

* Thu Jul 24 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.1-3
- disable debuginfo

* Wed Jul 16 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.1-2
- From: Vincent Batts <vbatts@fedoraproject.org>
- use macros from golang >= 1.2.1-3
- preserve timestamps of copied source
- do not own directories owned by golang

* Tue Jul 08 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.1-1
- Initial fedora package
